Table of Contents

## Name

tdfx - 3Dfx video driver

## Synopsis

    Section "Device"
      Identifier "devname"
      Driver "tdfx"
      ...
    EndSection

## Description

tdfx is an XFree86 driver for 3Dfx video cards.

## Supported Hardware

The tdfx driver supports Voodoo Banshee, Voodoo3, Voodoo4 and Voodoo5 cards.

## Configuration Details

Please refer to XF86Config(5) for general configuration details. This section only covers configuration details specific to this driver.

The following driver Options are supported:

Option "NoAccel" "boolean"
  Disable or enable acceleration. Default: acceleration is enabled.
Option "SWCursor" "boolean"
  Disable or enable software cursor. Default: software cursor is disable and a hardware cursor is used for configurations where the hardware cursor is available.
Option "DRI" "boolean"
  Disable or enable DRI support. By default, DRI is on.
Option "TexturedVideo" "boolean"
  This has XvImage support use the texture engine rather than the video overlay.
Option "VideoKey" "integer"
  This sets the default pixel value for the YUV video overlay key. Default: undefined.
Option "UsePIO" "boolean"
  Force the use of Programmed IO instead of Memory Mapped IO. Default: off.

The following additional Options are supported:

Option "ShowCache" "boolean"
  Enable or disable viewing offscreen cache memory. A development debug option. Default: off.

## Files

tdfx_drv.o

## See Also

XFree86(1) , XF86Config(5) , xf86config(1) , Xserver(1) , X(7)

## Authors

Authors include: ...

Table of Contents

- Name
- Synopsis
- Description
- Supported Hardware
- Configuration Details
- Files
- See Also
- Authors